<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

add_action('wp_ajax_liza_ajax_query_posts', 'liza_ajax_query_posts');
add_action('wp_ajax_nopriv_liza_ajax_query_posts', 'liza_ajax_query_posts');
function liza_ajax_query_posts()
{
    $args = liza_objectToArray(json_decode(stripslashes(sanitize_text_field($_POST['liza_ajax_query_posts']))));

    $all_posts = wp_count_posts($args['post_type'])->publish;
	$posts_counter = $args['posts_counter'];
	
	if (($args['output_template'] == 'albums_grid' || $args['output_template'] == 'projects_grid' || $args['output_template'] == 'projects_listing') && $args['categories'] !== '') {
		$selected_categories = $args['categories'];
		$post_type_terms = array();
		if (isset($selected_categories) && strlen($selected_categories) > 0) {
			$post_type_terms = explode(",", $selected_categories);
		}
		if ($args['output_template'] == 'albums_grid') {
			$tax_name = 'albumscat';
		}
		if ($args['output_template'] == 'projects_grid' || $args['output_template'] == 'projects_listing') {
			$tax_name = 'projectcat';
		}
		
		$tax_query = array(
			array(
				'taxonomy' => $tax_name,
				'field' => 'id',
				'terms' => $post_type_terms
			)
		);
		
		$args['tax_query'] = $tax_query;
		
		$count_post_terms = array(
			'post_type' => $args['post_type'],
			'post_status' => 'publish',
			'tax_query' => $tax_query
		);
		
		$the_query = new WP_Query($count_post_terms);
		$all_posts = $the_query->found_posts;
		wp_reset_query();
	}

	query_posts($args);
    
	$albums_count = 0;

    if (have_posts()) {
        while (have_posts()) {
            the_post();
			# Albums Lising
			if ($args['output_template'] == 'albums_listing_template') {
				$albums_count++;
				if ($albums_count > 5) {
					$albums_count = 1;
				}
				$img_width = 915;
				$img_height = 600;
				$galCateg = '';
				$new_term_list = get_the_terms(get_the_id(), "albumscat");
                if (is_array($new_term_list)) {
                    foreach ($new_term_list as $term) {
                        $tempname = strtr($term->name, array(
                            ' ' => '-',
                        ));
						$galCateg .= '<a href="'.get_term_link($term->slug, "albumscat").'">' . esc_attr($tempname) . '</a> / ';
                    }
                } else {
                    $galCateg = 'Uncategorized  ';
                }
				$galCateg = substr($galCateg, 0, -2);
				
				$featured_image = liza_get_featured_image_url();
				if ($featured_image == '') {
					$featured_image_url = get_template_directory_uri() . '/img/img_holder.png';
				} else {
					$featured_image_url = aq_resize($featured_image, esc_attr($img_width), esc_attr($img_height), true, true, true);
				}
				
				$html = '
				<div class="liza_album_post_wrapper liza_album_post_loading album_item_'. esc_attr($albums_count) .'" id="post-' . get_the_ID() . '">
					<div class="liza_album_post_inner">
						<div class="liza_album_image">
							<a href="' . get_permalink() . '" class="liza_image_fader">
								<img class="liza_stand_fi" src="' . $featured_image_url . '" alt="" />
							</a>
						</div>
						<div class="liza_album_content">
							<a class="notextdecor" href="' . get_permalink() . '"><h5 class="innertitle entry-title">' . get_the_title() . '</h5></a>
							<div class="liza_albums_categories">
								'. $galCateg .'
							</div>
						</div>
					</div>
				</div>
				';
				echo $html;
			}
			#Projects Grid
            if ($args['output_template'] == 'projects_grid') {
				$grid_img_width = $args['thmb_width'];
				$grid_img_height = $args['thmb_height'];
				$liza_pf_args = array(
					'output_template' => 'projects_grid',
					'grid_img_width' => $args['thmb_width'],
					'grid_img_height' => $args['thmb_height']
				);

				$projectCateg = '';
				$projectCategClass = '';
				$new_term_list = get_the_terms(get_the_id(), "projectcat");
				if (is_array($new_term_list)) {
					foreach ($new_term_list as $term) {
						$tempname = strtr($term->name, array(
							' ' => '-',
							'+' => '-'
						));
						$projectCateg .= $term->name . ", ";
						$projectCategClass .= strtolower($tempname) . " ";
					}
				} else {
					$projectCateg = 'Uncategorized  ';
				}
				$projectCateg = substr($projectCateg, 0, -2);

				$featured_image = liza_get_featured_image_url();
				if ($featured_image == '') {
					$featured_image_url = get_template_directory_uri() . '/img/img_holder_800x570.png';
				} else {
					$featured_image_url = aq_resize(esc_url($featured_image), esc_attr($grid_img_width), esc_attr($grid_img_height), true, true, true);
				}

				$html = '
				<div class="liza_project_grid_post_wrapper liza_project_element liza_project_loading '. esc_attr($projectCategClass) .'" id="post-' . get_the_ID() . '" data-category="'. esc_attr($projectCategClass) .'">
					<div class="liza_project_grid_post_inner">
						<div class="liza_project_grid_image"><a href="' . get_permalink() . '"><img src="' . $featured_image_url . '"></a></div>
						<div class="liza_grid_post_title">
							<a class="notextdecor" href="' . get_permalink() . '"><h5 class="innertitle entry-title">' . get_the_title() . '</h5></a>
						</div>
						<div class="liza_grid_project_meta liza_meta">
							<div>' . get_the_date() . '</div>
							<div>'. esc_html__('in', 'liza') .' ' . esc_attr($projectCateg) .'</div>
						</div>
					</div>
				</div>
				';
				echo $html;
            }
						
            # Projects Listing Module
            if ($args['output_template'] == 'projects_listing') {
				$liza_pf_args = array(
					'output_template' => 'projects_listing',
					'grid_img_width' => $args['thmb_width'],
					'grid_img_height' => $args['thmb_height']
				);
				
				$html = '
				<div class="liza_project_post_wrapper liza_project_loading" id="post-' . get_the_ID() . '" data-height="'. esc_attr($args['thmb_height']) .'" data-width="'. esc_attr($args['thmb_width']) .'">
					<div class="liza_project_post_inner">
						<div class="liza_project_image_part">' .liza_get_post_formats($liza_pf_args) .'</div>
						<div class="liza_project_content_part">
							<div class="liza_project_post_content">
								<div class="liza_grid_post_title">
									<a class="notextdecor" href="' . get_permalink() . '"><h3 class="innertitle entry-title">' . get_the_title() . '</h3></a>
								</div>
								<div class="liza_grid_post_meta liza_meta">
									<div>' . get_the_date() . '</div>';					
									$projectCateg = '';
									$new_term_list = get_the_terms(get_the_id(), "projectcat");
									if (is_array($new_term_list)) {
										foreach ($new_term_list as $term) {
											$tempname = strtr($term->name, array(
												' ' => '-',
											));
											$projectCateg .= $tempname . ", ";
										}
									} else {
										$projectCateg = 'Uncategorized  ';
									}
									$projectCateg = substr($projectCateg, 0, -2);

									$html .= '
									<div>'. esc_html__('in', 'liza') .' ' . esc_attr($projectCateg) .'</div>
								</div>
								<div class="liza_excerpt">
									' . get_the_excerpt() .'
								</div>
								<a href="' . get_permalink() . '" class="project_listing_see_btn">'. esc_html__('See the project', 'liza') .'</a>
							</div>
						</div>
						<div class="clear"></div>
					</div>
				</div>
				';
				echo $html;
            }

			#Albums Grid
            if ($args['output_template'] == 'albums_grid') {
				$selected_categories = $args['cetegories'];
				$grid_img_width = $args['thmb_width'];
				$grid_img_height = $args['thmb_height'];
				$liza_pf_args = array(
					'output_template' => 'albums_grid',
					'grid_img_width' => $args['thmb_width'],
					'grid_img_height' => $args['thmb_height']
				);

				$albumCateg = '';
				$albumCategClass = '';
				$new_term_list = get_the_terms(get_the_id(), "albumscat");
				if (is_array($new_term_list)) {
					foreach ($new_term_list as $term) {
						$tempname = strtr($term->name, array(
							' ' => '-',
							'+' => '-'
						));
						$albumCateg .= $term->name . ", ";
						$albumCategClass .= strtolower($tempname) . " ";
					}
				} else {
					$albumCateg = 'Uncategorized  ';
				}
				$albumCateg = substr($albumCateg, 0, -2);
				
				$featured_image = liza_get_featured_image_url();
				if ($featured_image == '') {
					$featured_image_url = get_template_directory_uri() . '/img/img_holder.png';
				} else {
					$featured_image_url = aq_resize($featured_image, esc_attr($grid_img_width), esc_attr($grid_img_height), true, true, true);
				}
				
				$html = '
				<div class="liza_album_grid_post_wrapper liza_album_element liza_album_loading '. esc_attr($albumCategClass) .'" id="post-' . get_the_ID() . '" data-category="'. esc_attr($albumCategClass) .'">
					<div class="liza_album_grid_post_inner">
						<div class="liza_album_grid_image"><a href="' . get_permalink() . '"><img src="' . $featured_image_url . '"></a></div>
						<div class="liza_grid_post_title">
							<a class="notextdecor" href="' . get_permalink() . '"><h4 class="innertitle entry-title">' . get_the_title() . '</h4></a>
						</div>
						<div class="liza_grid_album_meta liza_meta">
							<div>' . get_the_date() . '</div>
							<div>'. esc_html__('in', 'liza') .' ' . esc_attr($albumCateg) .'</div>
						</div>
					</div>
				</div>
				';
				echo $html;
            }

            # Grid Blog Module
            if ($args['output_template'] == 'blog_masonry') {
				$liza_pf_args = array(
					'output_template' => 'blog_masonry',
					'grid_img_width' => $args['thmb_width'],
					'grid_img_height' => $args['thmb_height']
				);
				
				$html = '
				<div class="liza_grid_post_wrapper liza_grid_post_element liza_grid_post_loading" id="post-' . get_the_ID() . '">
					<div class="liza_grid_post_inner">';
						if (get_post_format() !== 'quote') {
							$html .= liza_get_post_formats($liza_pf_args);
						}
				$html .= '
						<div class="liza_grid_post_content">
							<div class="liza_grid_post_title">
								<a class="notextdecor" href="' . get_permalink() . '"><h5 class="innertitle entry-title">' . get_the_title() . '</h5></a>
							</div>
							<div class="liza_grid_post_meta liza_meta">
								<div>' . get_the_date() . '</div>
								<div>'. esc_html__('by', 'liza') .' ' . get_the_author_posts_link() . '</div>';
				
						$categories = get_the_category();
						$separator = ', ';
						if (!empty($categories)) {
							$html .= '
								<div>'. esc_html__('in', 'liza') .' ';
							foreach ($categories as $category) {
								$html .= '<a href="' . esc_url(get_category_link($category->term_id)) . '" alt="' . esc_attr(sprintf(__('View all posts in %s', 'liza'), $category->name)) . '">' . esc_html($category->name) . '</a>' . esc_attr($separator);
							}
							$html = trim($html, $separator);
							$html .= '
								</div>';
						}
				
						$html .= '
							</div>
							<div class="liza_excerpt">';
							if (get_post_format() == 'quote') {
								$html .= liza_get_post_formats($liza_pf_args);
							} else {
								$html .= get_the_excerpt();
							}
						$html .= '
							</div>
						</div>
					</div>
				</div>
				';
				echo $html;
            }

            $posts_counter ++;
        }

        echo '
            <input type="hidden" name="count_posts" value="' . esc_attr($all_posts) . '">
            <input type="hidden" name="posts_counter" value="' . esc_attr($posts_counter) . '">
        ';

        wp_reset_query();
    }

    die();
}

add_action('wp_ajax_liza_ajax_post_content', 'liza_ajax_post_content');
add_action('wp_ajax_nopriv_liza_ajax_post_content', 'liza_ajax_post_content');
function liza_ajax_post_content()
{
	$post_id = $_POST['post_id'];
	$template = $_POST['template'];
	$liza_post_meta = get_post_meta($post_id);	
	$counter = 0;
	if ($template == 'albums_slider') {
		if (is_array($liza_post_meta['liza_albums_images'])) {
			foreach ($liza_post_meta['liza_albums_images'] as $key => $image) {
				$counter++;
			?>
				<div class="liza_albums_ajax_image_slide liza_albums_ajax_image_slide<?php echo esc_attr($counter); ?>" data-count="<?php echo esc_attr($counter); ?>" data-src="<?php echo wp_get_attachment_url($image); ?>"></div>
			<?php
			}
		}
	}

    die();
}
# Reset All Settings
add_action('wp_ajax_liza_reset_all_settings', 'liza_reset_all_settings');
function liza_reset_all_settings()
{
	if (!current_user_can('manage_options')) {
        wp_die(esc_html__('You do not have permissions to access this page.', 'liza'));
    }
    
	remove_theme_mods();
	
	die(esc_html__('Done!', 'liza'));
}