<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

if (!class_exists('RWMB_Loader')) {
    return;
}

add_filter('rwmb_meta_boxes', 'liza_meta_boxes');
function liza_meta_boxes($meta_boxes)
{
    # Select Albums Category
    $meta_boxes[] = array(
        'title' => esc_attr__('Albums Category Settings', 'liza'),
        'post_types' => 'page',
        'fields' => array(
            array(
                'id' => 'liza_albums_taxonomy',
                'name' => esc_attr__('Select Categories', 'liza'),
                'type' => 'taxonomy',
				'taxonomy' => 'albumscat',
				'field_type' => 'checkbox_list',
            ),
        )
    );

    # Projects Additional Fields
    $meta_boxes[] = array(
        'title' => esc_attr__('Project Page Settings', 'liza'),
        'post_types' => 'project',
        'fields' => array(
            array(
                'id' => 'project_featured_image',
                'name' => esc_attr__('Featured Image Block', 'liza'),
                'type' => 'select',
                'options' => array(
                    'enabled' => esc_attr__('Enabled', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                )
            ),
            array(
                'id' => 'project_meta',
                'name' => esc_attr__('Post Meta Block', 'liza'),
                'type' => 'select',
                'options' => array(
                    'enabled' => esc_attr__('Enabled', 'liza'),
					'only_title' => esc_attr__('Show Only Title', 'liza'),
					'only_meta' => esc_attr__('Show Only Meta', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                )
            ),
            array(
                'id' => 'project_sharing',
                'name' => esc_attr__('Sharing Block', 'liza'),
                'type' => 'select',
                'options' => array(
                    'enabled' => esc_attr__('Enabled', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                )
            ),
            array(
                'id' => 'project_prev_next',
                'name' => esc_attr__('Prev/Next Pages', 'liza'),
                'type' => 'select',
                'options' => array(
                    'enabled' => esc_attr__('Enabled', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                )
            ),
            array(
                'id' => 'project_related',
                'name' => esc_attr__('Related Posts', 'liza'),
                'type' => 'select',
                'options' => array(
                    'enabled' => esc_attr__('Enabled', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                )
            ),

            array(
                'id' => 'liza_project_field1_name',
                'name' => esc_attr__('Field 1 Name', 'liza'),
                'type' => 'text',
                'std' => ''
            ),
            array(
                'id' => 'liza_project_field1_value',
                'name' => esc_attr__('Field 1 Value', 'liza'),
                'type' => 'text',
                'std' => ''
            ),

            array(
                'id' => 'liza_project_field2_name',
                'name' => esc_attr__('Field 2 Name', 'liza'),
                'type' => 'text',
                'std' => ''
            ),
            array(
                'id' => 'liza_project_field2_value',
                'name' => esc_attr__('Field 2 Value', 'liza'),
                'type' => 'text',
                'std' => ''
            ),
            array(
                'id' => 'liza_project_field3_name',
                'name' => esc_attr__('Field 3 Name', 'liza'),
                'type' => 'text',
                'std' => ''
            ),
            array(
                'id' => 'liza_project_field3_value',
                'name' => esc_attr__('Field 3 Value', 'liza'),
                'type' => 'text',
                'std' => ''
            ),			
        ),
    );

    # Image Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Image Post Format Settings', 'liza'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'liza_pf_images',
                'name' => esc_attr__('Select Images', 'liza'),
                'type' => 'image_advanced',
            ),
            array(
                'id' => 'liza_pf_images_crop_status',
                'name' => esc_attr__('Crop Images', 'liza'),
                'type' => 'select',
                'options' => array(
                    'yes' => esc_attr__('Yes', 'liza'),
                    'no' => esc_attr__('No', 'liza'),
                ),
            ),
            array(
                'id' => 'liza_pf_images_width',
                'name' => esc_attr__('Image Width', 'liza'),
                'type' => 'text',
                'desc' => esc_attr__('In pixels.', 'liza'),
                'std' => '1600',
                'attributes' => array(
                    'data-dependency-id' => 'liza_pf_images_crop_status',
                    'data-dependency-val' => 'yes'
                ),
            ),
            array(
                'id' => 'liza_pf_images_height',
                'name' => esc_attr__('Image Height', 'liza'),
                'type' => 'text',
                'desc' => esc_attr__('In pixels.', 'liza'),
                'std' => '900',
                'attributes' => array(
                    'data-dependency-id' => 'liza_pf_images_crop_status',
                    'data-dependency-val' => 'yes'
                ),
            ),
        ),
    );
	
    # Images for Albums
    $meta_boxes[] = array(
        'title' => esc_attr__('Album Images', 'liza'),
        'post_types' => 'albums',
        'fields' => array(
			array(
                'id' => 'menu_style',
                'name' => esc_attr__('Menu Style', 'liza'),
                'type' => 'select',
                'options' => array(
					'default' => esc_attr__('Default', 'liza'),
					'menu_aside' => esc_attr__('Aside Menu', 'liza'), 
					'menu_simple' => esc_attr__('Simple Menu', 'liza'),
					'menu_simple_showed' => esc_attr__('Simple Menu Disclosed', 'liza')
				),
            ),
            array(
                'id' => 'liza_albums_images_layout',
                'name' => esc_attr__('Album Layout', 'liza'),
                'type' => 'select',
                'options' => array(
                    'slideshow' => esc_attr__('SlideShow', 'liza'),
					'ribbon' => esc_attr__('Ribbon', 'liza'),
					'grid' => esc_attr__('Grid', 'liza')
                ),
            ),
            array(
                'id' => 'liza_albums_images',
                'name' => esc_attr__('Select Images', 'liza'),
                'type' => 'image_advanced',
            ),

			/* SlideShow Options */
            array(
                'id' => 'liza_albums_slideshow_overlay_state',
                'name' => esc_attr__('Overlay State', 'liza'),
                'type' => 'select',
				'std' => 'default',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
					'custom' => esc_attr__('Custom', 'liza'),
					'hide' => esc_attr__('Hide', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'slideshow'
                ),
            ),
			array(
				'id' => 'liza_slideshow_overlay_color',
				'name' => esc_html__('Custom Overlay Color', 'liza'),
				'type' => 'color',
				'alpha_channel' => true,
				'attributes' => array(
					'data-dependency-id' => 'liza_albums_images_layout',
					'data-dependency-val' => 'slideshow'
				),
			),
            array(
                'id' => 'liza_slider_fit_style',
                'name' => esc_attr__('Slider Fit Style', 'liza'),
                'type' => 'select',
                'options' => array(
					'no_fit' => esc_attr__('Cover Slide', 'liza'), 
					"fit_always" => esc_attr__('Fit Always', 'liza'), 
					"fit_width" => esc_attr__('Fit Horizontal', 'liza'), 
					"fit_height" => esc_attr__('Fit Vertical', 'liza')
                ),
				'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'slideshow'
                ),
            ),
            array(
                'id' => 'liza_albums_slideshow_autoplay',
                'name' => esc_attr__('Autoplay', 'liza'),
                'type' => 'select',
                'options' => array(
                    'on' => esc_attr__('On', 'liza'),
					'off' => esc_attr__('Off', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'slideshow'
                ),
            ),
            array(
                'id' => 'liza_albums_slideshow_autoplay_speed',
                'name' => esc_attr__('Autoplay Speed', 'liza'),
                'type' => 'text',
                'std' => '4000',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'slideshow'
                ),
            ),						
            array(
                'id' => 'liza_albums_slideshow_controls',
                'name' => esc_attr__('Controls State', 'liza'),
                'type' => 'select',
                'options' => array(
                    'on' => esc_attr__('On', 'liza'),
					'off' => esc_attr__('Off', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'slideshow'
                ),
            ),
            array(
                'id' => 'liza_albums_slideshow_content',
                'name' => esc_attr__('Image Titles', 'liza'),
                'type' => 'select',
                'options' => array(
                    'none' => esc_attr__('Off', 'liza'),
					'images_title' => esc_attr__('On', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'slideshow'
                ),
            ),

			/* Ribbon Options */
            array(
                'id' => 'liza_albums_ribbon_autoplay',
                'name' => esc_attr__('Autoplay', 'liza'),
                'type' => 'select',
                'options' => array(
                    'on' => esc_attr__('On', 'liza'),
					'off' => esc_attr__('Off', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'ribbon'
                ),
            ),
            array(
                'id' => 'liza_albums_ribbon_autoplay_speed',
                'name' => esc_attr__('Autoplay Speed', 'liza'),
                'type' => 'text',
                'std' => '4000',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'ribbon'
                ),
            ),						
            array(
                'id' => 'liza_albums_ribbon_setpad',
                'name' => esc_attr__('Paddings around the images', 'liza'),
                'type' => 'text',
                'std' => '0px',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'ribbon'
                ),
            ),
            array(
                'id' => 'liza_albums_ribbon_content',
                'name' => esc_attr__('Image Titles', 'liza'),
                'type' => 'select',
                'options' => array(
                    'none' => esc_attr__('Off', 'liza'),
					'images_title' => esc_attr__('On', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'ribbon'
                ),
            ),

			/* Grid Options */
            array(
                'id' => 'liza_albums_grid_overlay_state',
                'name' => esc_attr__('Overlay State', 'liza'),
                'type' => 'select',
				'std' => 'default',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
					'custom' => esc_attr__('Custom', 'liza'),
					'hide' => esc_attr__('Hide', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),
			array(
				'id' => 'liza_grid_overlay_color',
				'name' => esc_html__('Custom Overlay Color', 'liza'),
				'type' => 'color',
				'alpha_channel' => true,
				'attributes' => array(
					'data-dependency-id' => 'liza_albums_images_layout',
					'data-dependency-val' => 'grid'
				),
			),
            array(
                'id' => 'liza_albums_title_block',
                'name' => esc_attr__('Album Title Block', 'liza'),
                'type' => 'select',
                'options' => array(
                    'hide' => esc_attr__('Hide', 'liza'),
					'show' => esc_attr__('Show', 'liza'),
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                )
            ),
            array(
                'id' => 'liza_albums_title_block_image',
                'name' => esc_attr__('Album Title Block Image', 'liza'),
                'type' => 'image_advanced',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
				'max_file_uploads' => '1'
            ),		
            array(
                'id' => 'liza_albums_title_block_margin',
                'name' => esc_attr__('Content Top Margin', 'liza'),
                'type' => 'text',
                'std' => '',
				'desc' => 'Define top margin in PX (Ex: 30px). If leave empty - will be used default content top margin, dynamic for responsive.',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),

            array(
                'id' => 'liza_albums_grid_masonry',
                'name' => esc_attr__('Masonry', 'liza'),
                'type' => 'select',
                'options' => array(
                    'off' => esc_attr__('Off', 'liza'),
					'on' => esc_attr__('On', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),
            array(
                'id' => 'liza_albums_grid_in_row',
                'name' => esc_attr__('Items in Row', 'liza'),
                'type' => 'select',
				'std' => '4',
                'options' => array(
                    '1' => esc_attr__('1 Item', 'liza'),
					'2' => esc_attr__('2 Items', 'liza'),
					'3' => esc_attr__('3 Items', 'liza'),
					'4' => esc_attr__('4 Items', 'liza'),
					'5' => esc_attr__('5 Items', 'liza'),
					'6' => esc_attr__('6 Items', 'liza')
                ),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),
            array(
                'id' => 'liza_albums_grid_first_load',
                'name' => esc_attr__('Items on First Load', 'liza'),
                'type' => 'text',
                'std' => '12',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),
            array(
                'id' => 'liza_albums_grid_per_load',
                'name' => esc_attr__('Items on Load More', 'liza'),
                'type' => 'text',
                'std' => '4',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),			
            array(
                'id' => 'liza_albums_grid_paddings',
                'name' => esc_attr__('Paddings around the images', 'liza'),
                'type' => 'text',
                'std' => '0px',
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),			
            array(
                'id' => 'liza_albums_grid_loadmore_text',
                'name' => esc_attr__('Load More Button Text', 'liza'),
                'type' => 'text',
                'std' => esc_attr__('Load More', 'liza'),
                'attributes' => array(
                    'data-dependency-id' => 'liza_albums_images_layout',
                    'data-dependency-val' => 'grid'
                ),
            ),
        ),
    );

    # Video Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Video Post Format Settings', 'liza'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'liza_pf_video_url',
                'name' => esc_attr__('Video URL', 'liza'),
                'type' => 'oembed',
                'desc' => esc_attr__('Copy link to the video from YouTube or other video-sharing website.', 'liza'),
            ),
            array(
                'id' => 'liza_pf_video_height',
                'name' => esc_attr__('Video Height', 'liza'),
                'type' => 'text',
                'desc' => esc_attr__('In pixels.', 'liza'),
                'std' => '500',
            ),
        ),
    );

    # Quote Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Quote Post Format Settings', 'liza'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'liza_pf_quote_text',
                'name' => esc_attr__('Quote Text', 'liza'),
                'type' => 'textarea',
                'std' => ''
            ),
            array(
                'id' => 'liza_pf_quote_author',
                'name' => esc_attr__('Quote Author', 'liza'),
                'type' => 'text',
                'std' => ''
            ),
            array(
                'id' => 'liza_pf_quote_additional',
                'name' => esc_attr__('Quote Additional Field', 'liza'),
                'type' => 'text',
                'std' => ''
            ),
        ),
    );

    # Audio Post Format
    $meta_boxes[] = array(
        'title' => esc_attr__('Audio Post Format Settings', 'liza'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'liza_pf_audio_url',
                'name' => esc_attr__('Audio URL', 'liza'),
                'type' => 'oembed',
                'desc' => esc_attr__('Copy link to the audio from Soundcloud or other audio-sharing website.', 'liza'),
            )
        ),
    );

    # Featured Posts Settings
    $meta_boxes[] = array(
        'title' => esc_attr__('Featured Posts Settings', 'liza'),
        'post_types' => 'post',
        'fields' => array(
            array(
                'id' => 'featured_posts_status',
                'name' => esc_attr__('Featured Posts', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'enabled' => esc_attr__('Enabled', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                ),
            ),
            array(
                'id' => 'featured_posts_orderby',
                'name' => esc_attr__('Order By', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'rand' => esc_attr__('Random', 'liza'),
                    'date' => esc_attr__('Date', 'liza'),
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_numberposts',
                'name' => esc_attr__('Number of Posts', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    '2' => '2',
                    '3' => '3',
                    '4' => '4',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_fimage_status',
                'name' => esc_attr__('Featured Image', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'show' => 'Show',
                    'hide' => 'Hide',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_meta_status',
                'name' => esc_attr__('Meta', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'show' => 'Show',
                    'hide' => 'Hide',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
            array(
                'id' => 'featured_posts_excerpt_status',
                'name' => esc_attr__('Excerpt', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'show' => 'Show',
                    'hide' => 'Hide',
                ),
                'attributes' => array(
                    'data-dependency-id' => 'featured_posts_status',
                    'data-dependency-val' => 'enabled'
                ),
            ),
        ),
    );

    # Page & Post Settings
    $meta_boxes[] = array(
        'title' => esc_attr__('Page Settings', 'liza'),
        'post_types' => array('post', 'page', 'project'),
        'fields' => array(
            array(
                'id' => 'liza_albums_slider_fit_style',
                'name' => esc_attr__('Slider Fit Style', 'liza'),
                'type' => 'select',
                'options' => array(
					'no_fit' => esc_attr__('Cover Slide', 'liza'), 
					"fit_always" => esc_attr__('Fit Always', 'liza'), 
					"fit_width" => esc_attr__('Fit Horizontal', 'liza'), 
					"fit_height" => esc_attr__('Fit Vertical', 'liza')
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-albums-slider.php',
                ),
            ),
			
            array(
                'id' => 'header_transparent',
                'name' => esc_attr__('Transparent Header', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'enabled' => esc_attr__('Enabled', 'liza'),
                    'disabled' => esc_attr__('Disabled', 'liza'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
            array(
                'id' => 'content_under_header',
                'name' => esc_attr__('Content Under Header', 'liza'),
                'type' => 'select',
                'options' => array(
					'disabled' => esc_attr__('Disabled', 'liza'),
					'enabled' => esc_attr__('Enabled', 'liza')                    
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
            array(
                'id' => 'logo_position',
                'name' => esc_attr__('Logo Position', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'logo_left' => esc_attr__('Left', 'liza'),
                    'logo_center' => esc_attr__('Center', 'liza'),
                    'logo_right' => esc_attr__('Right', 'liza'),
                ),
            ),
            array(
                'id' => 'menu_style',
                'name' => esc_attr__('Menu Style', 'liza'),
                'type' => 'select',
                'options' => array(
					'default' => esc_attr__('Default', 'liza'),
					'menu_aside' => esc_attr__('Aside Menu', 'liza'), 
					'menu_simple' => esc_attr__('Simple Menu', 'liza'),
					'menu_simple_showed' => esc_attr__('Simple Menu Disclosed', 'liza')
				),
            ),
            array(
                'id' => 'header_menu_status',
                'name' => esc_attr__('Header Menu', 'liza'),
                'type' => 'select',
                'options' => array(
                    'show' => esc_attr__('Show', 'liza'),
                    'hide' => esc_attr__('Hide', 'liza'),
                ),
            ),
            array(
                'id' => 'social_icons',
                'name' => esc_attr__('Header Socials', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
					'show' => esc_attr__('Show', 'liza'),
                    'hide' => esc_attr__('Hide', 'liza'),
                ),
            ),

            array(
                'id' => 'breadcrumb_state',
                'name' => esc_attr__('Breadcrumb State', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
					'on' => esc_attr__('On', 'liza'),
                    'off' => esc_attr__('Off', 'liza'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),				
            ),
            array(
                'id' => 'breadcrumb_bg_image',
                'name' => esc_attr__('Breadcrumb Background Image', 'liza'),
                'type' => 'image_advanced',
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
				'max_file_uploads' => '1'
            ),

            array(
                'id' => 'single_page_title',
                'name' => esc_attr__('Page Title', 'liza'),
                'type' => 'select',
                'options' => array(
                    'show' => esc_attr__('Show', 'liza'),
                    'hide' => esc_attr__('Hide', 'liza'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
            array(
                'id' => 'header_padding',
                'name' => esc_attr__('Padding Before Content', 'liza'),
                'type' => 'select',
                'options' => array(
                    'liza_header_padding_yes' => esc_attr__('Yes', 'liza'),
                    'liza_header_padding_no' => esc_attr__('No', 'liza'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
            array(
                'id' => 'sidebar_position',
                'name' => esc_attr__('Sidebar Position', 'liza'),
                'type' => 'select',
                'options' => array(
                    'default' => esc_attr__('Default', 'liza'),
                    'liza_left_sidebar' => esc_attr__('Left', 'liza'),
                    'liza_right_sidebar' => esc_attr__('Right', 'liza'),
                    'liza_no_sidebar' => esc_attr__('None', 'liza'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
            array(
                'id' => 'footer_padding',
                'name' => esc_attr__('Padding After Content', 'liza'),
                'type' => 'select',
                'options' => array(
                    'liza_footer_padding_yes' => esc_attr__('Yes', 'liza'),
                    'liza_footer_padding_no' => esc_attr__('No', 'liza'),
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
            array(
                'id' => 'footer_state',
                'name' => esc_attr__('Footer State', 'liza'),
                'type' => 'select',
                'options' => array(
                    'liza_yes_footer' => esc_attr__('Show Footer', 'liza'),
					'liza_no_footer' => esc_attr__('Hide Footer', 'liza')
                ),
                'attributes' => array(
                    'data-hide-on-template-file' => 'page-albums-ajax.php, page-albums-ajax-slider.php, page-albums-slider.php, page-coming-soon.php, page-gallery-ribbons.php, page-gallery-slider.php',
                ),
            ),
        ),
    );

    # Gallery Templates
    $meta_boxes[] = array(
        'title' => esc_attr__('Gallery Template Settings', 'liza'),
        'post_types' => 'page',
        'fields' => array(
            array(
                'id' => 'liza_template_images',
                'name' => esc_attr__('Select Images', 'liza'),
                'type' => 'image_advanced',
            ),
            array(
                'id' => 'liza_slider_autoplay',
                'name' => esc_attr__('Autoplay', 'liza'),
                'type' => 'select',
                'options' => array(
                    'no' => esc_attr__('No', 'liza'),
					'yes' => esc_attr__('Yes', 'liza'),
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-ribbon-slider.php, page-fullscreen-slider.php',
                ),
            ),
            array(
                'id' => 'liza_slider_interval',
                'name' => esc_attr__('Autoplay Interval', 'liza'),
                'type' => 'text',
                'std' => '4000',
                'attributes' => array(
                    'data-show-on-template-file' => 'page-ribbon-slider.php, page-fullscreen-slider.php',
                    'data-dependency-id' => 'liza_slider_autoplay',
                    'data-dependency-val' => 'yes'
                ),
            ),
        )
    );

	# Comming Soon Template
    $meta_boxes[] = array(
        'title' => esc_attr__('Comming Soon Settings', 'liza'),
        'post_types' => 'page',
        'fields' => array(
            array(
                'id' => 'liza_countdown_date_d',
                'name' => esc_attr__('Day', 'liza'),
                'type' => 'select',
                'options' => array(
						'01' => '01',
						'02' => '02',
						'03' => '03',
						'04' => '04',
						'05' => '05',
						'06' => '06',
						'07' => '07',
						'08' => '08',
						'09' => '09',
						'10' => '10',
						'11' => '11',
						'12' => '12',
						'13' => '13',
						'14' => '14',
						'15' => '15',
						'16' => '16',
						'17' => '17',
						'18' => '18',
						'19' => '19',
						'20' => '20',
						'21' => '21',
						'22' => '22',
						'23' => '23',
						'24' => '24',
						'25' => '25',
						'26' => '26',
						'27' => '27',
						'28' => '28',
						'29' => '29',
						'30' => '30',
						'31' => '31',
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-coming-soon.php',
                ),
            ),

			array(
                'id' => 'liza_countdown_date_m',
                'name' => esc_attr__('Month', 'liza'),
                'type' => 'select',
                'options' => array(
						'01' => '01',
						'02' => '02',
						'03' => '03',
						'04' => '04',
						'05' => '05',
						'06' => '06',
						'07' => '07',
						'08' => '08',
						'09' => '09',
						'10' => '10',
						'11' => '11',
						'12' => '12',
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-coming-soon.php',
                ),
            ),
            array(
                'id' => 'liza_countdown_date_y',
                'name' => esc_attr__('Year', 'liza'),
                'type' => 'text',
                'std' => '2018',
                'attributes' => array(
                    'data-show-on-template-file' => 'page-coming-soon.php',
                ),
            ),			
            array(
                'id' => 'liza_countdown_shortcode',
                'name' => esc_attr__('Form Shortcode', 'liza'),
                'type' => 'text',
                'std' => '',
                'attributes' => array(
                    'data-show-on-template-file' => 'page-coming-soon.php',
                ),
            ),			
            array(
                'id' => 'liza_countdown_sharing',
                'name' => esc_attr__('Share State', 'liza'),
                'type' => 'select',
                'options' => array(
                    'yes' => esc_attr__('Yes', 'liza'),
					'no' => esc_attr__('No', 'liza')
                ),
                'attributes' => array(
                    'data-show-on-template-file' => 'page-coming-soon.php',
                ),
            )
        )
    );



    return $meta_boxes;
}