<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(
		array(
			'name' => esc_html__('Blog Masonry', 'liza'),
			'base' => 'pm_vc_blog_grid',
			'description' => 'Display blog posts in masonry layout.',
			'category' => esc_html__('Pixel-Mafia', 'liza'),
			'icon' => 'liza_vc_elements_icon liza_blog_grid',
			'params' => array(
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Items in Row', 'liza'),
					'param_name' => 'items_in_row',
					'admin_label' => true,
					'std' => '3',
					'value' => array(
						esc_html__("1 Item", "liza") => '1',
						esc_html__("2 Items", "liza") => '2',
						esc_html__("3 Items", "liza") => '3',
						esc_html__("4 Item", "liza") => '4',
						esc_html__("5 Items", "liza") => '5',
						esc_html__("6 Items", "liza") => '6'
					)
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Items on First Load", "liza"),
					"param_name" => "posts_first_load",
					'edit_field_class' => 'vc_col-sm-6',
					'value' => '9'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Items on Load More", "liza"),
					"param_name" => "items_per_load",
					'edit_field_class' => 'vc_col-sm-6',
					'value' => '3'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Paddings betweeb the images", "liza"),
					"param_name" => "items_padding",
					'description' => esc_html__('Please use this option to add paddings around the images. Recommended size in pixels 0-50. (Ex.: 15px):', 'liza'),
					'value' => '60px'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Load More Button Text", "liza"),
					"param_name" => "button_title",
					"description" => esc_html__("Specify Load More button text", "liza"),
					"value" => esc_html__("Load More", "liza")
				),

				array(
					'type' => 'css_editor',
					'heading' => esc_html__('CSS', 'liza'),
					'param_name' => 'custom_css',
					'group' => esc_html__('Design options', 'liza'),
				),

				array(
					'param_name' => 'custom_class',
					'heading' => esc_html__('Custom Class', 'liza'),
					'description' => '',
					'type' => 'textfield',
					'value' => '',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'Design options',
				),

			)
		)
	);
}


if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Blog_Grid extends WPBakeryShortCode
    {
    }
}
