<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_promo_block',
		'name' => esc_html__('Promo Block', 'liza'),
		"description" => esc_html__("Display Promo Block with Image and link or button", "liza"),
		'category' => esc_html__('Pixel-Mafia', 'liza'),
		'icon' => 'liza_vc_elements_icon liza_promo_block',
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Promo Block Image', 'liza'),
				'param_name' => 'image',
				'admin_label' => true,
				'description' => esc_html__('Select image from media library.', 'liza'),
				'value' => ''
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Crop Image?', 'liza'),
				'param_name' => 'image_crop',
				'description' => esc_html__( 'Enable slider autoplay.', 'liza' ),
				'value' => esc_html__('Yes', 'liza')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Image Width", "liza"),
				"param_name" => "image_crop_width",
				"value" => '',
				'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'image_crop',
                    'value' => 'true'
                )
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Crop Height", "liza"),
				"param_name" => "image_crop_height",
				"value" => '',
				'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'image_crop',
                    'value' => 'true'
                )
			),			
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Title and Description State', 'liza'),
				'param_name' => 'title_state',
				'admin_label' => true,
				'value' => array(
					esc_html__("None", "liza") => 'none',
					esc_html__("Show on hover", "liza") => 'on_hover'
				)
			),		
			array(
				"type" => "textfield",
				"heading" => esc_html__("Promo Block Title", "liza"),
				"param_name" => "promo_title",
                'dependency' => array(
                    'element' => 'title_state',
                    'value' => 'on_hover'
                ),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Promo Block Caption", "liza"),
				"param_name" => "promo_caption",
                'dependency' => array(
                    'element' => 'title_state',
                    'value' => 'on_hover'
                ),
				'value' => ''
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", "liza"),
				"param_name" => "title_color",
				"value" => "",
				"description" => esc_html__("Select Title color.", "liza"),
                'dependency' => array(
                    'element' => 'title_state',
                    'value' => 'on_hover'
                )
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Caption Color", "liza"),
				"param_name" => "caption_color",
				"value" => "",
				"description" => esc_html__("Select Caption color.", "liza"),
                'dependency' => array(
                    'element' => 'title_state',
                    'value' => 'on_hover'
                )
			),
			
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Overlay on Hover', 'liza'),
				'param_name' => 'overlay_state',
				'description' => esc_html__( 'If checked, image on hover will be covered by overlay', 'liza' ),
				'value' => esc_html__('Yes', 'liza'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Overlay Background Color", "liza"),
				"param_name" => "overlay_bg",
				"value" => "",
				"description" => esc_html__("Select overlay background color.", "liza"),
                'dependency' => array(
                    'element' => 'overlay_state',
                    'value' => 'true'
                )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Link Type', 'liza'),
				'param_name' => 'link_type',
				'admin_label' => true,
				'value' => array(
					esc_html__("None", "liza") => 'none',
					esc_html__("Link on block", "liza") => 'block',
					esc_html__("Link on button", "liza") => 'button'
				)
			),
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Link", "liza"),
                "param_name" => "link",
                'value' => '',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => array('block', 'button')
                )
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Button Text", "liza"),
                "param_name" => "button_text",
                'value' => '',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => 'button'
                )
            ),

			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Button Background Color", "liza"),
				"param_name" => "button_bg",
				"value" => "",
				"description" => esc_html__("Select button background color.", "liza"),
				'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => 'button'
                )
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Button Text Color", "liza"),
				"param_name" => "button_color",
				"value" => "",
				"description" => esc_html__("Select button text color.", "liza"),
				'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => 'button'
                )
			),			

			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'liza'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'liza'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'liza'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Promo_Block extends WPBakeryShortCode
    {
    }
}
?>