<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_simple_slider',
		'name' => esc_html__('Simple Slider', 'liza'),
		"description" => esc_html__("Display image carousel with content", "liza"),
		'category' => esc_html__('Pixel-Mafia', 'liza'),
		'icon' => 'liza_vc_elements_icon liza_image_carousel',
		'params' => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Add Images', 'liza'),
				'param_name' => 'images',
				'admin_label' => true,
				'description' => esc_html__('Select images from media library.', 'liza'),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Enter Slider Height", "liza"),
				"param_name" => "slider_height",
				'description' => esc_html__('Slider Module height in PX or 100% to set fullscreen height.', 'liza'),
				'value' => '800px'
			),				
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Overlay Background Color", "liza"),
				"param_name" => "overlay_bg",
				"value" => "",
				"description" => esc_html__("Select overlay background color.", "liza"),
			),		
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Autoplay', 'liza'),
				'param_name' => 'autoplay',
				'admin_label' => true,
				'std' => 'on',
				'description' => esc_html__('Turn ON or OFF slider autoplay.', 'liza'),
				'value' => array(
					esc_html__("On", "liza") => 'on',
					esc_html__("Off", "liza") => 'off'
				)
			),		
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fit Style', 'liza'),
				'param_name' => 'fit_style',
				'admin_label' => true,
				'std' => 'no_fit',
				'value' => array(
					esc_html__("Cover Slide", "liza") => 'no_fit',
					esc_html__("Fit Always", "liza") => 'fit_always',
					esc_html__("Fit Horizontal", "liza") => 'fit_width',
					esc_html__("Fit Vertical", "liza") => 'fit_height'
				)
			),
			
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Slide Background", "liza"),
				"param_name" => "slide_bg",
				"value" => '',
				'dependency' => array(
					'element' => 'fit_style',
					'value' => array('fit_always', 'fit_width', 'fit_height')
				),				
				'std' => liza_get_theme_mod('body_bg_color'),
				"description" => esc_html__("Select title color.", "liza"),
			),			

			array(
				"type" => "textfield",
				"heading" => esc_html__("Autoplay Speed", "liza"),
				"param_name" => "autoplay_speed",
				"value" => '5000',
				'dependency' => array(
					'element' => 'autoplay',
					'value' => 'on'
				)
			),

			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Clickable', 'liza'),
				'param_name' => 'clickable',
				'admin_label' => true,
				'std' => 'off',
				'value' => array(
					esc_html__("Off", "liza") => 'off',
					esc_html__("On", "liza") => 'on'
				)
			),	

			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Controls State', 'liza'),
				'param_name' => 'controls_state',
				'admin_label' => true,
				'std' => 'on',
				'value' => array(
					esc_html__("On", "liza") => 'on',
					esc_html__("Off", "liza") => 'off'
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Content Type', 'liza'),
				'param_name' => 'content_type',
				'admin_label' => true,
				'std' => 'none',
				'value' => array(
					esc_html__("No content", "liza") => 'none',
					esc_html__("Show images title", "liza") => 'images_title',
					esc_html__("Custom Content", "liza") => 'custom_content',
				)
			),		
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Content Position', 'liza'),
				'param_name' => 'content_position',
				'admin_label' => true,
				'std' => 'left',
				'dependency' => array(
					'element' => 'content_type',
					'value' => array('custom_content', 'images_title')
				),				
				'value' => array(
					esc_html__("Left", "liza") => 'left',
					esc_html__("Center", "liza") => 'middle',
					esc_html__("Right", "liza") => 'right',
				)
			),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Title", "liza"),
                "param_name" => "item_title",
				'dependency' => array(
					'element' => 'content_type',
					'value' => 'custom_content'
				),	
                'value' => ''
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Title Tag', 'liza'),
				'param_name' => 'title_tag',
				'admin_label' => true,
				'std' => 'h2',
				'dependency' => array(
					'element' => 'content_type',
					'value' => array('custom_content', 'images_title')
				),
				'value' => array(
					esc_html__("H1", "liza") => 'h1',
					esc_html__("H2", "liza") => 'h2',
					esc_html__("H3", "liza") => 'h3',
					esc_html__("H4", "liza") => 'h4',
					esc_html__("H5", "liza") => 'h5',
					esc_html__("H6", "liza") => 'h6',
				)
			),			
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", "liza"),
				"param_name" => "title_color",
				"value" => "",
				'dependency' => array(
					'element' => 'content_type',
					'value' => array('custom_content', 'images_title')
				),				
				'std' => '#ffffff',
				"description" => esc_html__("Select title color.", "liza"),
			),			
			
            array(
                'type' => 'checkbox',
                'heading' => esc_html__('Add Button?', 'liza'),
                'param_name' => 'button_state',
				'dependency' => array(
					'element' => 'content_type',
					'value' => 'custom_content'
				),				
                'value' => esc_html__('Yes', 'liza'),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Button Text", "liza"),
                "param_name" => "button_text",
                'value' => '',
                'dependency' => array(
                    'element' => 'button_state',
                    'value' => 'true'
                )
            ),
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Button Link", "liza"),
                "param_name" => "button_link",
                'value' => '',
                'dependency' => array(
                    'element' => 'button_state',
                    'value' => 'true'
                )
            ),
			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'liza'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'liza'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'liza'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_vc_Simple_Slider extends WPBakeryShortCode
    {
    }
}
?>