<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'pm_vc_stripes',
        'name' => esc_html__('Stripes', 'liza'),
        'description' => esc_html__('Display stripe slider', 'liza'),
        'category' => esc_html__('Pixel-Mafia', 'liza'),
        'as_parent' => array('only' => 'pm_vc_stripes_item'),
        'content_element' => true,
        'is_container' => true,
        'icon' => 'pm_vc_elements_icon pm_stripes',
        'show_settings_on_create' => true,
        'params' => array(
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Select Layout', 'liza'),
				'param_name' => 'fullscreen_layout',
				'admin_label' => true,
				'std' => 'on',
				'value' => array(
					esc_html__("Fullscreen Layout", "liza") => 'on',
					esc_html__("Content Layout", "liza") => 'off'
				)
			),		
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('CSS', 'liza'),
                'param_name' => 'custom_css'
            ),
            array(
                'param_name' => 'custom_class',
                'heading' => esc_html__('Custom Class', 'liza'),
                'description' => '',
                'type' => 'textfield',
                'value' => '',
                'admin_label' => false,
                'weight' => 0,
            )
        ),
        'js_view' => 'VcColumnView'
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {
    class WPBakeryShortCode_PM_VC_Stripes extends WPBakeryShortCodesContainer
    {
    }
}


# Price Table Item
if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'pm_vc_stripes_item',
        'name' => esc_html__('Stripe Item', 'liza'),
        "description" => esc_html__("Create sprite slide", "liza"),
        'category' => esc_html__('Pixel-Mafia', 'liza'),
        'icon' => 'pm_vc_elements_icon pm_stripes_item',
        "as_child" => array('only' => 'pm_vc_stripes'),
        'is_container' => false,
        'show_settings_on_create' => true,
        'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Item Background Image', 'liza'),
				'param_name' => 'item_image',
				'admin_label' => true,
				'description' => esc_html__('Select featured image from media library.', 'liza'),
				'value' => ''
			),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Title", "liza"),
                "param_name" => "item_title",
                'value' => ''
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Description", "liza"),
                "param_name" => "item_description",
                'value' => ''
            ),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", "liza"),
				"param_name" => "title_color",
				"value" => "",
				'edit_field_class' => 'vc_col-sm-6',
				"description" => esc_html__("Select Title color.", "liza"),				
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Description Color", "liza"),
				"param_name" => "descr_color",
				"value" => "",
				'edit_field_class' => 'vc_col-sm-6',
				"description" => esc_html__("Select Description color.", "liza"),				
			),
			
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Link Type', 'liza'),
				'param_name' => 'link_type',
				'admin_label' => true,
				'std' => 'none',
				'value' => array(
					esc_html__("None", "liza") => 'none',
					esc_html__("Link on whole item", "liza") => 'link_all_item',
					esc_html__("Link on button", "liza") => 'link_by_button'
				)
			),	
            array(
                "type" => "textfield",
                "heading" => esc_html__("Button Text", "liza"),
                "param_name" => "button_text",
                'value' => '',
				'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => 'link_by_button'
                )
            ),
            array(
				"type" => "colorpicker",
				"heading" => esc_html__("Button Text Color", "liza"),
				"param_name" => "button_color",
				"value" => "",
				'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => 'link_by_button'
                )
            ),
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Item Link", "liza"),
                "param_name" => "item_link",
                'value' => '',
                'dependency' => array(
                    'element' => 'link_type',
                    'value' => array('link_all_item','link_by_button')
                )
            ),			
						
            array(
                'param_name' => 'custom_class',
                'heading' => esc_html__('Custom Class', 'liza'),
                'description' => '',
                'type' => 'textfield',
                'value' => '',
                'admin_label' => false,
                'weight' => 0,
            )
        )
    ));
}
if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Stripes_Item extends WPBakeryShortCode
    {
    }
}
?>