<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'pm_vc_testimonials',
        'name' => esc_html__('Testimonials', 'liza'),
        'description' => esc_html__('Display Testimonials slider', 'liza'),
        'category' => esc_html__('Pixel-Mafia', 'liza'),
        'as_parent' => array('only' => 'pm_vc_testimonials_item'),
        'content_element' => true,
        'is_container' => true,
        'icon' => 'pm_vc_elements_icon pm_testimonials',
        'show_settings_on_create' => false,
        'params' => array(
			array(
				'type' => 'checkbox',
				'heading' => esc_html__('Autoplay', 'liza'),
				'param_name' => 'autoplay',
				'description' => esc_html__( 'Enable slider autoplay.', 'liza' ),
				'value' => esc_html__('Yes', 'liza')
			),			
			array(
				"type" => "textfield",
				"heading" => esc_html__("Autoplay Speed", "liza"),
				"param_name" => "autoplay_speed",
				"value" => '5000',
                'dependency' => array(
                    'element' => 'autoplay',
                    'value' => 'true'
                )
			),
			
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('CSS', 'liza'),
                'param_name' => 'custom_css'
            ),
            array(
                'param_name' => 'custom_class',
                'heading' => esc_html__('Custom Class', 'liza'),
                'description' => '',
                'type' => 'textfield',
                'value' => '',
                'admin_label' => false,
                'weight' => 0,
            )
        ),
        'js_view' => 'VcColumnView'
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {
    class WPBakeryShortCode_PM_VC_Testimonials extends WPBakeryShortCodesContainer
    {
    }
}


# Testimonials Item
if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'pm_vc_testimonials_item',
        'name' => esc_html__('Testimonials Item', 'liza'),
        "description" => esc_html__("Create testimonial item", "liza"),
        'category' => esc_html__('Pixel-Mafia', 'liza'),
        'icon' => 'pm_vc_elements_icon pm_testimonials_item',
        "as_child" => array('only' => 'pm_vc_testimonials'),
        'is_container' => false,
        'show_settings_on_create' => true,
        'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Featured Image', 'liza'),
				'param_name' => 'testimonial_image',
				'admin_label' => true,
				'description' => esc_html__('Select featured image from media library.', 'liza'),
				'value' => ''
			),		
            array(
                "type" => "textarea",
                "heading" => esc_html__("Testimonial Text", "liza"),
                "param_name" => "testimonial_text",
                'value' => ''
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Author", "liza"),
                "param_name" => "testimonial_author",
                'value' => ''
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Additional Field", "liza"),
                "param_name" => "testimonial_additional",
                'value' => ''
            ),
            array(
                'param_name' => 'custom_class',
                'heading' => esc_html__('Custom Class', 'liza'),
                'description' => '',
                'type' => 'textfield',
                'value' => '',
                'admin_label' => false,
                'weight' => 0,
            )
        )
    ));
}
if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Testimonials_Item extends WPBakeryShortCode
    {
    }
}
?>