/* SORTING */
"use strict";
if (jQuery('.liza_grid_inner').size() > 0) {
	var $liza_container = jQuery('.liza_grid_inner');
}
	
jQuery(function () {
	if (jQuery('.liza_grid_inner').size() > 0) {
		$liza_container.isotope({
			itemSelector: '.element'
		});
	
		var $liza_optionSet = jQuery('.optionset'),
			$liza_optionLinks = $liza_optionSet.find('a'),
			$liza_showAll = jQuery('.show_all');
	
		$liza_optionLinks.on('click', function () {
			var $liza_this = jQuery(this);
			// don't proceed if already selected
			if ($liza_this.parent('li').hasClass('selected')) {
				return false;
			}
			var $liza_optionSet = $liza_this.parents('.optionset');
			$liza_optionSet.find('.selected').removeClass('selected');
			$liza_this.parent('li').addClass('selected');
			if ($liza_this.attr('data-option-value') == "*") {
				$liza_container.removeClass('now_filtering');
			} else {
				$liza_container.addClass('now_filtering');
			}
	
			// make option object dynamically, i.e. { filter: '.my-filter-class' }
			var liza_options = {},
				key = $liza_optionSet.attr('data-option-key'),
				value = $liza_this.attr('data-option-value');
			// parse 'false' as false boolean
			value = value === 'false' ? false : value;
			liza_options[key] = value;
			if (key === 'layoutMode' && typeof changeLayoutMode === 'function') {
				// changes in layout modes need extra logic
				changeLayoutMode($liza_this, liza_options)
			} else {
				// otherwise, apply new options
				$liza_container.isotope(liza_options);
			}
			return false;
		});
	
		$liza_container.find('img').load(function () {
			$liza_container.isotope('reLayout');
		});
	}
});

jQuery(document).ready(function(){
	if (jQuery('.liza_grid_inner').size() > 0) {
		setTimeout("liza_animateListGrid()", 500);
		liza_setup_grid();
	}
});

jQuery(window).load(function () {
	if (jQuery('.liza_grid_inner').size() > 0) {
		$liza_container.isotope('reLayout');
	}
});
jQuery(window).resize(function () {
	if (jQuery('.liza_grid_inner').size() > 0) {
		$liza_container.isotope('reLayout');
	}
});

function liza_setup_grid() {	
	if (jQuery('.liza_grid_inner').size() > 0) {
		var setPad = Math.floor(parseInt(jQuery('.liza_grid_inner').attr('data-pad'))/2);
		if (liza_window.width() < 1200 && setPad > 20) {
			setPad = setPad/2;
		}
		if (liza_window.width() < 760 && setPad > 10) {
			setPad = 10;
		}

		jQuery('.liza_grid_inner').css('margin', setPad+'px').css('margin-top', -1*setPad+'px');
		jQuery('.grid-item-inner').css({
			'margin-left' : setPad+'px',
			'margin-top' : setPad+'px',
			'margin-right' : setPad+'px',
			'margin-bottom' : setPad+'px'
		});
		jQuery('.grid-item').each(function(){
			if (jQuery(this).hasClass('anim_el2')) {
				jQuery(this).removeClass('anim_el2');
			}
		});
		$liza_container.isotope('reLayout');
		setTimeout("$liza_container.isotope('reLayout')",1000);
	}
}

function liza_animateListGrid() {
	if (jQuery('.load_anim:first').size() > 0) {
		(function (img, src) {
			img.src = src;
			img.onload = function () {
				jQuery('.load_anim:first').removeClass('load_anim').removeClass('anim_el').animate({
					'z-index': '15'
				}, 200, function() {
					liza_animateListGrid();
				});
			};
		}(new Image(), jQuery('.load_anim:first').find('img').attr('src')));
	}
}

jQuery(document).on("click", ".grid_load_more", function () {
	var liza_what_to_append = '',		
		liza_grid_post_per_page = jQuery(this).parents('.liza_grid_wrapper').attr('data-perload'),
		liza_uniqid = jQuery(this).parents('.liza_grid_wrapper').attr('data-uniqid'),
		liza_allposts = liza_grid_array['liza_grid_' + liza_uniqid].items.length,
		liza_overlay = jQuery(this).parents('.liza_grid_wrapper').find('.liza_grid_inner').attr('data-overlay');
	var liza_ins_container = jQuery('.liza_grid_'+liza_uniqid).find('.liza_grid_inner');	
	if (liza_grid_array['liza_grid_' + liza_uniqid].showed >= liza_allposts) {
		jQuery(this).slideUp(300);
	} else {
		var liza_now_step = liza_grid_array['liza_grid_' + liza_uniqid].showed + parseInt(liza_grid_post_per_page) - 1;
		if (liza_now_step < liza_allposts) {
			var liza_limit = liza_now_step;
		} else {
			var liza_limit = liza_allposts - 1;
			jQuery(this).slideUp(300);
		}
		for (var i = liza_grid_array['liza_grid_' + liza_uniqid].showed; i <= liza_limit; i++) {
			var liza_thishref = liza_grid_array['liza_grid_' + liza_uniqid].items[i].img,
			liza_what_to_append = liza_what_to_append +'\
			<div class="grid-item element anim_el anim_el2 load_anim grid_b2p">\
					<div class="grid-item-inner">\
						<a href="' + liza_thishref +'" class="swipebox" title="' + liza_grid_array['liza_grid_' + liza_uniqid].items[i].title + '"></a>\
						<img src="'+ liza_grid_array['liza_grid_' + liza_uniqid].items[i].thmb +'" alt="' + liza_grid_array['liza_grid_' + liza_uniqid].items[i].alt + '" class="grid_thmb"/>\
						<div class="grid_overlay" style="background-color:'+ liza_overlay +'"></div>\
						<div class="liza-img-preloader"></div>\
					</div>\
			</div>';
			liza_grid_array['liza_grid_' + liza_uniqid].showed++;
		}
							
		var $liza_newItems = jQuery(liza_what_to_append);
		
		liza_ins_container.isotope('insert', $liza_newItems, function() {
			liza_ins_container.find('.liza_grid_inner').ready(function() {
				liza_ins_container.isotope('reLayout');
				liza_setup_grid();
			});
		});
		liza_setup_grid();			
		setTimeout("liza_animateListGrid()", 500);
	}
	jQuery('.liza_grid_inner').isotope("reLayout");
	setTimeout(function () {jQuery('.gallery_grid').isotope("reLayout");}, 1500);
});			
