<?php
extract(
    shortcode_atts(
        array(
			'pm_category' => '',
            'posts_first_load' => 12,
			'items_per_load' => 4,
			'items_in_row' => 4,
			'items_padding' => '',
			'filter_state' => 'on',
			'masonry' => 'on',
			'button_title' => esc_html__("View More", "liza"),
            'custom_css' => '',
            'custom_class' => '',
        ),
        $atts
    )
);

wp_enqueue_script('jquery_isotope', get_template_directory_uri() . '/js/jquery.isotope.min.js', true, false, true);
wp_enqueue_script('posts_sorting', get_template_directory_uri() . '/js/posts_sorting.js', true, false, true);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$uniqid = mt_rand(0, 9999);

$filter_categ_array = array();
$categ_array = array();
$selected_categories = '';

if (!empty($pm_category) && $pm_category !== 'all') {
	$selected_categories = $pm_category;
	$categ_array = explode(" ", $selected_categories);

	if (is_array($categ_array) && count($categ_array) > 0) {
		foreach ($categ_array as $cat) {
			if ($cat !== '') {
				$this_categ = get_term_by('slug', $cat, 'projectcat');
				$this_categ_id = $this_categ->term_id;
				array_push($filter_categ_array, $this_categ_id);
			}
		}
	}
	$selected_categories = implode($filter_categ_array, ',');
}

if (isset($_GET['slug'])) {
	$this_categ = get_term_by('slug', $_GET['slug'], 'projectcat');
	$selected_categories = $this_categ->term_id;
}

$masonry_class = '';
if ($masonry == 'on') {
	$thmb_width = '800';
	$thmb_height = '';
    $masonry_class = 'is_masonry';
} else {
	$thmb_width = '800';
	$thmb_height = '570';
}

$args = array(
    'post_type' => 'project',
    'post_status' => 'publish',
    'posts_per_page' => absint($posts_first_load),
    'paged' => -1,
);

$html = '
<div class="liza_element_wrap liza_projects_grid liza_projects_grid'. esc_attr($items_in_row) .' ' . esc_attr($custom_class) . esc_attr($css_class) . '" 
	data-uniqid="'. esc_attr($uniqid) .'" 
	data-perload = "'. esc_attr($items_per_load) .'" 
	data-onstart = "'. esc_attr($posts_first_load) .'">';
	if ($filter_state == 'on') {
		echo liza_show_filter($filter_categ_array, 'project');
	}
$html .= '
	<div class="liza_projects_grid_inner liza_isotope_trigger '. esc_attr($masonry_class) .'" data-pad="'. esc_attr($items_padding) .'">';

$i = 0;
$pf_args = array(
	'output_template' => 'projects_grid',
	'grid_img_width' => $thmb_width,
	'grid_img_width' => $thmb_height,
);

$set_query_args = '{"output_template" : "projects_grid", "thmb_width" : "'. esc_attr($thmb_width) .'", "thmb_height" : "'. esc_attr($thmb_height) .'", "ajax_callback_function" : "liza_setup_projects_grid", "post_type" : "project", "post_status" : "publish", "posts_first_load" : '. esc_attr($posts_first_load) .', "posts_per_page" : '. esc_attr($items_per_load) .', "offset" : 0, "posts_counter": 1, "categories" : "'. $selected_categories .'"}';
$html .= '
	</div>
	<div class="liza_ajax_query_preloader">
		<div class="liza_aqp_wrapper">
			<span class="liza_aqp_item liza_aqp_item1"></span>
			<span class="liza_aqp_item liza_aqp_item2"></span>
			<span class="liza_aqp_item liza_aqp_item3"></span>
			<span class="liza_aqp_item liza_aqp_item4"></span>
		</div>
	</div>
	<div class="grid_projects_loadmore_wrapper">
		<a class="projects_load_more liza_button liza_ajax_query_posts_isotope" data-args=\''. $set_query_args .'\' data-return-to="liza_projects_grid_inner" href="'. esc_js("javascript:void(0)") .'">' . esc_attr($button_title) . '</a>
	</div>
</div>
';

echo $html;
?>