<?php
extract(
	shortcode_atts(
		array(
			'image' => '',
			'image_crop' => '',
			'image_crop_width' => '',
			'image_crop_height' => '',
			'title_state' => '',
			'promo_title' => '',
			'promo_caption' => '',
			'title_color' => '',
			'caption_color' => '',
			'overlay_state' => '',
			'overlay_bg' => '',
			'link_type' => '',
			'link' => '',
			'button_text' => '',
			'button_bg' => '',
			'button_color' => '',
			
			'custom_css' => '',
			'custom_class' => ''
		),
		$atts
	)
);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$btn_link_temp = vc_build_link($link);
$url = $btn_link_temp['url'];
if ($url !== '') {
	$url = esc_url($url);
} else {
	$url = '#';
}
$target = $btn_link_temp['target'];
if ($target !== '') {
	$set_target = 'target="' . esc_attr($target) . '"';
} else {
	$set_target = '';
}

if ($button_bg !== '') {
	$set_button_bg = 'data-bgcolor="' . esc_attr($button_bg) . '"';
	$set_bgcolor_class = 'liza_js_bg_color';
} else {
	$set_button_bg = '';
	$set_bgcolor_class = '';
}
if ($button_color !== '') {
	$set_button_color = 'data-color="' . esc_attr($button_color) . '"';
	$set_color_class = 'liza_js_color';
} else {
	$set_button_color = '';
	$set_color_class = '';
}


if ($image_crop == true) {
	$featured_image = aq_resize(esc_url(wp_get_attachment_url($image)), $image_crop_width, $image_crop_height, true, true, true);
} else {
	$featured_image = wp_get_attachment_url($image);
}

$html = '';

$html .='<div class="liza_promo_block_wrapper ' . esc_attr($custom_class) . esc_attr($css_class) . '">
			<div class="liza_promo_block">
				<div class="promo_block_image_wrapper">';
				if ($link_type == 'block') {
					$html .='<a href="'. esc_url($url) .'" class="promo_block_link" '. esc_attr($set_target) .'>';
				}
				$html .='<img src="'. esc_url($featured_image) .'" class="liza_promo_image" />';
				
				if ($overlay_state == true) {
					$html .='<div class="promo_block_overlay liza_js_bg_color" data-bgcolor="'. esc_attr($overlay_bg) .'"></div>';
				}
				if ($title_state == 'on_hover') {
					$html .='
					<div class="promo_block_content">
						<h5 class="promo_block_title liza_js_color" data-color="'. esc_attr($title_color) .'">'. esc_attr($promo_title) .'</h5>
						<div class="promo_block_caption liza_js_color" data-color="'. esc_attr($caption_color) .'">'. esc_attr($promo_caption) .'</div>
					</div>';
				}				
				if ($link_type == 'block') {
					$html .='</a>';
				}
				$html .='</div>';
				if ($link_type == 'button') {
					$html .='<a href="'. esc_url($url) .'" class="promo_block_button '. esc_attr($set_color_class) .' '. esc_attr($set_bgcolor_class) .'" '. $set_button_bg.' '. $set_button_color .' '. esc_attr($set_target) .'>'. esc_attr($button_text) .'</a>';
				}
$html .='				
			</div>
		</div>';

echo $html;
?>