<?php
extract(
	shortcode_atts(
		array(
			'images' => '',
			'slider_height' => '800px',
			'overlay_bg' => '',
			'autoplay' => 'on',
			'fit_style' => 'no_fit',
			'slide_bg' => liza_get_theme_mod('body_bg_color'),
			'clickable' => 'off',
			'controls_state' => 'on',
			'content_type' => 'none',
			'content_position' => 'left',
			'autoplay_speed' => '5000',
			'item_title' => '',
			'title_tag' => 'h2',
			'title_color' => '#ffffff',
            'button_state' => '',
            'button_text' => '',
            'button_link' => '',
			'custom_css' => '',
			'custom_class' => ''
		),
		$atts
	)
);
$sharing_state = 'off';
$set_share_image = false;
$share_image_url = '';

$set_slider_height = $slider_height;
if ($slider_height == '100%') {
	$set_slider_height = '100vh';
}

#CSS
wp_enqueue_style('liza-swipebox', get_template_directory_uri() . '/css/swipebox.css');

#JS
wp_enqueue_script('jquery_liza_simple_slider', get_template_directory_uri() . '/js/simple_slider.js', true, false, true);
wp_enqueue_script('jquery_swipebox', get_template_directory_uri() . '/js/jquery.swipebox.js', true, false, true);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$compile = '';
$images_ids = empty( $images ) ? array() : explode( ',', trim( $images ) );
$uniqid = mt_rand(0, 9999);
$html = '';
$buttom_html = '';

if ($button_state == true) {
    $btn_link_temp = vc_build_link($button_link);
    $url = $btn_link_temp['url'];
    $link_title = $btn_link_temp['title'];
    $target = $btn_link_temp['target'];

    if ($url !== '') {
        $url = esc_url($url);
    } else {
        $url = '#';
    }
    if ($link_title !== '') {
        $link_for_partner = 'title="' . esc_attr($link_title) . '"';
    } else {
        $link_for_partner = '';
    }
    if ($target !== '') {
        $partner_target = 'target="' . esc_attr($target) . '"';
    } else {
        $partner_target = '';
    }

    $buttom_html .= '
		<div class="liza_simple_slider_button_wrapper">
			<a href="' . $url . '" ' . $link_for_partner . ' ' . $partner_target . ' class="liza_button">' . esc_attr($button_text) . '</a>
		</div>
	';
}

if (is_array($images_ids)) {
	$html .='<div class="liza_simple_slider_wrapper '. esc_attr($fit_style) .' '.($clickable == 'on' ? 'liza_is_clickable' : '').' content_'. esc_attr($content_position) .' autoplay_'. esc_attr($autoplay) .' presetup '. esc_attr($content_type) .' '.  esc_attr($custom_class) .' '. esc_attr($css_class) . '" 
                data-uniqid = "' . esc_attr($uniqid) . '"
                data-height = "' . esc_attr($slider_height) . '"
				data-content = "'. esc_attr($content_type) .'"
				data-autoplay = "'. esc_attr($autoplay) .'"
				data-interval = "' . esc_attr($autoplay_speed) . '">
				<div class="liza_simple_slider liza_slider_'. esc_attr($uniqid) .'">';
	$count = 1;
	foreach ($images_ids as $key => $image) {
		$featured_image = wp_get_attachment_url($image);
		if ($set_share_image == false) {
			$set_share_image = true;
			$share_image_url = esc_url($featured_image);
		}
		$slide_meta = wp_get_attachment_metadata($image);
		if ($slide_meta['width'] > $slide_meta['height']) {
			//Landscape Image
			if ($slide_meta['width'] > 1920) {
				$set_slider_image = aq_resize(esc_url($featured_image), 1920, '', true, true, true);
			} else {
				$set_slider_image = esc_url($featured_image);
			}
		} else 	if ($slide_meta['width'] < $slide_meta['height']) {
			//Portrait Image
			if ($slide_meta['height'] > 1200) {
				$set_slider_image = aq_resize(esc_url($featured_image), '', 1200, true, true, true);
			} else {
				$set_slider_image = esc_url($featured_image);
			}			
		} else {
			//Square Image
			if ($slide_meta['width'] > 1920) {
				$set_slider_image = aq_resize(esc_url($featured_image), 1920, 1920, true, true, true);
			} else {
				$set_slider_image = esc_url($featured_image);
			}
		}

		//$set_slider_image = aq_resize(esc_url($featured_image), 340, 240, true, true, true);
		
		$photoTitle = get_the_title($image);
		$html .='
				<div '.($clickable == 'on' ? 'href="'. esc_url($set_slider_image) .'" rel="liza_oneslider"' : '').' class="liza_simple_slide liza_js_bg_color liza_js_bg_image simple_slide_loader '.($clickable == 'on' ? 'swipebox' : '').' liza_simple_slide'. esc_attr($count) .'" 
					data-title="'. esc_attr($photoTitle) .'"
					data-src="'. esc_url($set_slider_image) .'"
					data-bgcolor = "'. esc_attr($slide_bg) .'"
					data-count="'. esc_attr($count) .'"
					>
				';
		$html .='
				</div>
		';
		$count++;
	}
	$html .='</div>';	
	if ($overlay_bg !== '') {
		$html .='
			<div class="liza_simple_slider_overlay liza_js_bg_color" data-bgcolor="'. esc_attr($overlay_bg) .'"></div>
		';
	}	
	if ($content_type == 'custom_content') {
		$html .='
			<div class="liza_simple_slider_content">
				<'. esc_attr($title_tag) .' class="liza_simple_slider_title liza_js_color" data-color="'. esc_attr($title_color) .'">'. esc_attr($item_title) .'</'. esc_attr($title_tag) .'>
				'. $buttom_html .'
			</div>
		';		
	}
	if ($content_type == 'images_title') {
		$html .='
			<div class="liza_simple_slider_content liza_simple_slider_images_title">
				<'. esc_attr($title_tag) .' class="liza_simple_slider_title liza_js_color" data-color="'. esc_attr($title_color) .'">'. esc_attr($item_title) .'</'. esc_attr($title_tag) .'>
			</div>
		';		
	}
	if ($controls_state == 'on') {
		$html .='
			<div class="liza_simple_slider_controls">
				<a href="'. esc_js("javascript:void(0)") .'" class="liza_button_prev liza_simple_slider_prev"></a>
				<a href="'. esc_js("javascript:void(0)") .'" class="liza_button_next liza_simple_slider_next"></a>
				<a href="'. esc_js("javascript:void(0)") .'" class="liza_button_fullview liza_simple_slider_fullview"></a>
			</div>
		';		
	}
	if ($sharing_state == 'on') {
		$html .='
			<div class="liza_slider_sharing_block">
				<span class="liza_sharing_label">'. esc_html__('Follow Liza', 'liza') .'</span>
				<a target="_blank"
				   href="'. esc_url('https://www.facebook.com/share.php?u='. get_permalink()) .'" class="liza_share_facebook"><i class="fa fa-facebook"></i></a>
				<a target="_blank"
				   href="'. esc_url('https://twitter.com/intent/tweet?text='. get_the_title() .'>&amp;url='. get_permalink()) .'" class="liza_share_twitter"><i class="fa fa-twitter"></i></a>
				<a target="_blank"
				   href="'. esc_url('https://plus.google.com/share?url='. get_permalink()) .'" class="liza_share_gplus"><i class="fa fa-google-plus"></i></a>
				<a target="_blank"
				   href="'. esc_url('https://pinterest.com/pin/create/button/?url='. get_permalink() .'>&media='. $share_image_url) .'" class="liza_share_pinterest"><i class="fa fa-pinterest"></i></a>
			</div>
		';
	}

	$html .='
	</div>';
}
echo $html;
?>